#' ---
#' title: "Document analyses"
#' author: Timo Gnambs
#' date: "`r Sys.time()`"
#' output:
#'    html_document:
#'        toc: true
#'        number_sections: true
#'        toc_float: true
#'        theme: readable
#'        highlight: tango
#'        df_print: paged
#'        code_folding: show
#' ---


# Clear workspace
rm(list = ls())

# Load packages
suppressPackageStartupMessages({
    library(rmarkdown)
    library(here)
})



#' # Generate summary of R analyses

# All R files
(files <- list.files(here("Code"), recursive = FALSE, pattern = ".R$")[-c(7, 8)])

# Knit files
for (i in files) {
    rmarkdown::render(here("Code", i),
                      output_dir = here("Results"),
                      output_file = paste0(sub("\\.R$", "", i), ".html"),
                      output_format = "html_document")
}
